> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Order Detail

GET https://api-b2b.bigcommerce.com/api/v2/io/orders/{orderId}/details

Get order's Detail

Reference: https://docs.bigcommerce.com/developer/docs/archive/b2b-edition/v2-api/order/orders-details-list

## Authentication

- `authToken` header (required) — API Key authentication via header

## Request

### Path parameters

- `orderId` (string, required)

### Headers

- `authToken` (string, required) — Auth token in header.

## Response

### 200

Response Success

- `code` (double, optional) — Response status code
- `data` (OrdersOrderIdDetailsGetResponsesContentApplicationJsonSchemaData, optional) — Response data
- `message` (string, optional) — Response message

## Errors

### 404 Not Found Error

Not Found Error

- `code` (double, optional) — Response status code
- `data` (OrdersOrderIdDetailsGetResponsesContentApplicationJsonSchemaData, optional) — Response data
- `message` (string, optional) — Response message

## Types

### OrdersOrderIdDetailsGetResponsesContentApplicationJsonSchemaData

Response data

- `errMsg` (string, optional) — Error message info

## Examples

**Response**

```json
{
  "code": 200,
  "data": {
    "base_handling_cost": "0.0000",
    "base_shipping_cost": "0.0000",
    "base_wrapping_cost": "0.0000",
    "billing_address": {
      "city": "Irvine",
      "company": "qqqq",
      "country": "United States",
      "country_iso2": "US",
      "email": "15002803905@163.com",
      "first_name": "sdsdsd",
      "form_fields": [],
      "last_name": "errte",
      "phone": "9497486023",
      "state": "California",
      "street_1": "15440 Laguna Canyon Road, Ste 213",
      "street_2": "ssadsdas",
      "zip": "92618"
    },
    "cart_id": "f6a167af-fdc2-4409-8282-0358c36b46c5",
    "channel_id": "1",
    "coupon_discount": "0.0000",
    "coupons": {
      "resource": "/orders/126/coupons",
      "url": "https://api.bigcommerce.com/stores/1i6zpxpe3g/v2/orders/126/coupons"
    },
    "credit_card_type": "",
    "currency_code": "USD",
    "currency_exchange_rate": "1.0000000000",
    "currency_id": 1,
    "custom_status": "Awaiting Payment",
    "customer_id": 168,
    "customer_message": "123456\n123456798",
    "date_created": "Tue, 29 Oct 2019 12:33:25 +0000",
    "date_modified": "Tue, 29 Oct 2019 12:33:29 +0000",
    "date_shipped": "",
    "default_currency_code": "USD",
    "default_currency_id": 1,
    "discount_amount": "0.0000",
    "ebay_order_id": "0",
    "external_id": null,
    "external_merchant_id": null,
    "external_source": "",
    "geoip_country": "China",
    "geoip_country_iso2": "CN",
    "gift_certificate_amount": "0.0000",
    "handling_cost_ex_tax": "0.0000",
    "handling_cost_inc_tax": "0.0000",
    "handling_cost_tax": "0.0000",
    "handling_cost_tax_class_id": 2,
    "id": "126",
    "ip_address": "171.213.12.107",
    "is_deleted": false,
    "is_email_opt_in": false,
    "items_shipped": 0,
    "items_total": 20,
    "order_is_digital": false,
    "order_source": "www",
    "payment_method": "PO",
    "payment_provider_id": "",
    "payment_status": "",
    "poNumber": "123456798",
    "products": [
      {
        "applied_discounts": "",
        "base_cost_price": "0.0000",
        "base_price": "5.0019",
        "base_total": "100.0000",
        "base_wrapping_cost": "0.0000",
        "bin_picking_number": "",
        "configurable_fields": "",
        "cost_price_ex_tax": "0.0000",
        "cost_price_inc_tax": "0.0000",
        "cost_price_tax": "0.0000",
        "depth": "0.0000",
        "ebay_item_id": "",
        "ebay_transaction_id": "",
        "event_date": "",
        "event_name": "",
        "external_id": "",
        "fixed_shipping_cost": "0.0000",
        "fulfillment_source": "",
        "height": "0.0000",
        "id": "39",
        "is_bundled_product": false,
        "is_refunded": false,
        "name": "[Sample] Tiered Wire Basket",
        "option_set_id": "",
        "order_address_id": "27",
        "order_id": "126",
        "parent_order_product_id": "",
        "price_ex_tax": "5.0000",
        "price_inc_tax": "5.0000",
        "price_tax": "0.0000",
        "product_id": 97,
        "product_options": "",
        "quantity": "20",
        "quantity_refunded": "0",
        "quantity_shipped": 0,
        "refund_amount": "0.0000",
        "return_id": 0,
        "sku": "TWB",
        "total_ex_tax": "100.0000",
        "total_inc_tax": "100.0000",
        "total_tax": "0.0000",
        "type": "physical",
        "upc": "",
        "variant_id": "69",
        "weight": "1.0000",
        "width": "0.0000",
        "wrapping_cost_ex_tax": "0.0000",
        "wrapping_cost_inc_tax": "0.0000",
        "wrapping_cost_tax": "0.0000",
        "wrapping_message": "",
        "wrapping_name": ""
      }
    ],
    "refunded_amount": "0.0000",
    "shipments": false,
    "shippingAddress": {
      "base_cost": "0.0000",
      "base_handling_cost": "0.0000",
      "city": "Irvine",
      "company": "qqqq",
      "cost_ex_tax": "0.0000",
      "cost_inc_tax": "0.0000",
      "cost_tax": "0.0000",
      "cost_tax_class_id": "2",
      "country": "United States",
      "country_iso2": "US",
      "email": "15002803905@163.com",
      "first_name": "sdsdsd",
      "form_fields": "",
      "handling_cost_ex_tax": "0.0000",
      "handling_cost_inc_tax": "0.0000",
      "handling_cost_tax": "0.0000",
      "handling_cost_tax_class_id": 2,
      "id": 27,
      "items_shipped": "0",
      "items_total": "20",
      "last_name": "errte",
      "order_id": 126,
      "phone": "9497486023",
      "shipping_method": "Free Shipping",
      "shipping_quotes": {
        "resource": "/orders/126/shippingaddresses/27/shippingquotes",
        "url": "https://api.bigcommerce.com/stores/1i6zpxpe3g/v2/orders/126/shippingaddresses/27/shippingquotes"
      },
      "shipping_zone_id": 1,
      "shipping_zone_name": "United States",
      "state": "California",
      "street_1": "15440 Laguna Canyon Road, Ste 213",
      "street_2": "ssadsdas",
      "zip": "92618"
    },
    "shipping_address_count": 1,
    "shipping_addresses": {
      "resource": "/orders/126/shippingaddresses",
      "url": "https://api.bigcommerce.com/stores/1i6zpxpe3g/v2/orders/126/shippingaddresses"
    },
    "shipping_cost_ex_tax": "0.0000",
    "shipping_cost_inc_tax": "0.0000",
    "shipping_cost_tax": "0.0000",
    "shipping_cost_tax_class_id": 2,
    "staff_notes": "",
    "status": "Awaiting Payment",
    "status_id": 7,
    "store_credit_amount": "0.0000",
    "store_default_currency_code": "USD",
    "store_default_to_transactional_exchange_rate": "1.0000000000",
    "subtotal_ex_tax": "100.0000",
    "subtotal_inc_tax": "100.0000",
    "subtotal_tax": "0.0000",
    "tax_provider_id": "BasicTaxProvider",
    "total_ex_tax": "100.0000",
    "total_inc_tax": "100.0000",
    "total_tax": "0.0000",
    "wrapping_cost_ex_tax": "0.0000",
    "wrapping_cost_inc_tax": "0.0000",
    "wrapping_cost_tax": "0.0000",
    "wrapping_cost_tax_class_id": 3
  },
  "message": "SUCCESS"
}
```

**SDK Code**

```shell Shell

curl --location --request GET 'https://api-b2b.bigcommerce.com/api/v2/io/orders/12/details'                         --header 'authToken: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdG9yZV9oYXNoIjoiZjJvc3hqam54aiIsImRiIjoiZGVmYXVsdCIsImVtYWlsIjoiYnJ1Y2UuaHVhbmdAc2lsa3NvZnR3YXJlLmNvbSJ9._DQFg-3FgtztdQVCGU5Gxfv8j8V3U9Ssaw7ARxUU6pY'

```

```python Python

import requests

url = "https://api-b2b.bigcommerce.com/api/v2/io/orders/12/details"

payload = {}
headers = {
  'authToken': 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdG9yZV9oYXNoIjoiZjJvc3hqam54aiIsImRiIjoiZGVmYXVsdCIsImVtYWlsIjoiYnJ1Y2UuaHVhbmdAc2lsa3NvZnR3YXJlLmNvbSJ9._DQFg-3FgtztdQVCGU5Gxfv8j8V3U9Ssaw7ARxUU6pY'
}

response = requests.request("GET", url, headers=headers, data = payload)

print(response.text.encode('utf8'))

```

```javascript JavaScript

var myHeaders = new Headers();
myHeaders.append("authToken", "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdG9yZV9oYXNoIjoiZjJvc3hqam54aiIsImRiIjoiZGVmYXVsdCIsImVtYWlsIjoiYnJ1Y2UuaHVhbmdAc2lsa3NvZnR3YXJlLmNvbSJ9._DQFg-3FgtztdQVCGU5Gxfv8j8V3U9Ssaw7ARxUU6pY");

var requestOptions = {
  method: 'GET',
  headers: myHeaders,
  redirect: 'follow'
};

fetch("https://api-b2b.bigcommerce.com/api/v2/io/orders/12/details", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));

```

```go Order_orders_details_list_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/io/orders/orderId/details"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("authToken", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Order_orders_details_list_example
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/io/orders/orderId/details")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["authToken"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Order_orders_details_list_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v2/io/orders/orderId/details")
  .header("authToken", "<apiKey>")
  .asString();
```

```php Order_orders_details_list_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v2/io/orders/orderId/details', [
  'headers' => [
    'authToken' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Order_orders_details_list_example
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/io/orders/orderId/details");
var request = new RestRequest(Method.GET);
request.AddHeader("authToken", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Order_orders_details_list_example
import Foundation

let headers = ["authToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/io/orders/orderId/details")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```